package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanyLand;
import com.ruoyi.system.domain.grid.GridCompanyLandExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridCompanyLandMapper {
    long countByExample(GridCompanyLandExample example);

    int deleteByExample(GridCompanyLandExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanyLand record);

    int insertSelective(GridCompanyLand record);

    List<GridCompanyLand> selectByExample(GridCompanyLandExample example);

    GridCompanyLand selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanyLand record, @Param("example") GridCompanyLandExample example);

    int updateByExample(@Param("record") GridCompanyLand record, @Param("example") GridCompanyLandExample example);

    int updateByPrimaryKeySelective(GridCompanyLand record);

    int updateByPrimaryKey(GridCompanyLand record);
}